### Constructor

# Gtk CallbackActionnew

#### Declaration [src]

    GtkShortcutAction*
    gtk_callback_action_new (
      GtkShortcutFunc callback,
      gpointer data,
      GDestroyNotify destroy
    )

#### Description [src]

Create a custom action that calls the given `callback` when activated.

#### Parameters

`callback`

  Type: `GtkShortcutFunc`

  The callback to call.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  The data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`destroy`

  Type: `GDestroyNotify`

  The function to be called when the callback action is finalized.

#### Return value

Type: `GtkCallbackAction`

A new shortcut action.

The caller of the function takes ownership of the data, and is responsible for freeing it.